use tauri_sys::Error;
use tauri_sys::core::invoke;
use crate::types::*;
use std::collections::HashMap;

#[derive(serde::Serialize)]
pub struct Swap {
	store: Store,
	acc: i64,
}
pub async fn swap(store: Store, acc: i64) -> Result<(), Error> {
	let args = Swap { store, acc };
	invoke("swap", &args).await
}

#[derive(serde::Serialize)]
pub struct Inventory {
	data: HashMap<String, String>,
}
pub async fn inventory(data: HashMap<String, String>) -> Result<(), Error> {
	let args = Inventory { data };
	invoke("inventory", &args).await
}
